WAVES.COM SPECIALS SUPPORT

Mac OS Sierra 10.12.6 not supported for V12

Is it possible to allow an install of V12 for older machines that are only capable of running Sierra OS? I have a Mac Pro Mid 2010 and I really don’t want to spend $5,000 on a new machine…apple is already trying it’s hardest to make me buy a new one…I would appreciate if Waves doesn’t join them in that venture and can make a V12 install for Sierra…I’m sure there are thousands of your customers who will have the same issue. I have tons of Waves plugins would really like the updates.
Thanks

I emailed the tech support team and got this answer, maybe it will help you too:

V12 plugins require a Mac computer that supports ‘Metal’.

To learn if your Mac model supports ‘Metal’- please visit this page .

In case you already installed V12 and your Mac computer does not support ‘Metal’, in order to roll back your Waves software to V11, please follow the steps below.

First, uninstall V12 plugins:

  1. Quit any host application.

  2. Launch Waves Central .

  3. On the left-hand side, click on the Settings page.

  4. Under Maintenance, click on the Uninstall drop-down menu and choose to uninstall V12 .

Once uninstalled, Install your plugins in V11 following the steps below:

  1. Quit any host application.

  2. Launch Waves Central V12.

  3. Go to the Install Products page.

  4. Go to the All Products tab.

  5. Make sure to change the View menu to V11 .

  6. Search for the product you wish to install and check-mark it.

  7. Click Install in the summary column.

Copyright © 2019 Waves Audio Ltd. All rights reserved. Contact Us | Terms & Conditions | Privacy Policy